clang 8.0.0

Classes | Namespaces | Functions
CGObjCRuntime.h File Reference
`#include "CGBuilder.h"`
`#include "CGCall.h"`
`#include "CGCleanup.h"`
`#include "CGValue.h"`
`#include "clang/AST/DeclObjC.h"`
`#include "clang/Basic/IdentifierTable.h"`
Include dependency graph for CGObjCRuntime.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::CodeGen::CGObjCRuntime
| Implements runtime-specific code generation functions. More...
struct | clang::CodeGen::CGObjCRuntime::MessageSendInfo

## Namespaces
| llvm
| DominatorTree GraphTraits specialization so the DominatorTree can be iterable by generic graph iterators.
| clang
| Dataflow Directional Tag Classes.
| clang::CodeGen

## Functions
CGObjCRuntime * | clang::CodeGen::CreateGNUObjCRuntime (CodeGenModule &CGM)
| Creates an instance of an Objective-C runtime class. More...
CGObjCRuntime * | clang::CodeGen::CreateMacObjCRuntime (CodeGenModule &CGM)